Deactivate Earn
curl --request PATCH \
--url https://test-api-kore.kravata.co/api/v1/admin/earn/deactivate/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/earn/deactivate/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/earn/deactivate/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "9f1c2b3a-4d5e-4f60-8a7b-1c2d3e4f5a6b",
"status": "APPROVED",
"registerDate": "2026-09-01T10:00:00",
"earnEnabled": false,
"accumulatedEarnings": 1520.35,
"annualRateLabel": "<annual rate label>"
}Earn
Deactivate Earn
Deactivates earn for a user. Their balance stops generating yield.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | Bearer <access_token> obtained from POST /api/v1/client/token. |
| user_id | Path | Yes | Identifier of the user. |
Response
| Field | Description |
|---|---|
| id | Identifier of the user’s earn account. |
| status | Status of the account. |
| earnEnabled | Whether earn is active for the user. |
| accumulatedEarnings | Earnings accumulated so far, or null. |
| annualRateLabel | Annual rate shown to the user or null. |
| registerDate | Creation date of the account. |
PATCH
/
api
/
v1
/
admin
/
earn
/
deactivate
/
{user_id}
Deactivate Earn
curl --request PATCH \
--url https://test-api-kore.kravata.co/api/v1/admin/earn/deactivate/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/earn/deactivate/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/earn/deactivate/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "9f1c2b3a-4d5e-4f60-8a7b-1c2d3e4f5a6b",
"status": "APPROVED",
"registerDate": "2026-09-01T10:00:00",
"earnEnabled": false,
"accumulatedEarnings": 1520.35,
"annualRateLabel": "<annual rate label>"
}
